Jump to
Ctrl
+
/

Create Vault Account

POST
/vaults/{vaultId}/vault-account

This endpoint creates a new Vault Account within a specified Vault. Each new Vault Account is created with a unique identifier and customizable display settings, such as name, color, and dashboard visibility.

Path Parameters

vaultId string Required

The ID of the vault for which a Vault Account will be created.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
color string Required

Color code used to visually identify the Vault Account, it should be a valid hex.

isHiddenInDashboard boolean Required

Indicates whether the vault account should be hidden from the dashboard.

name string Required

The name of the Vault Account being created.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
addressesCount string Required

The total number of addresses associated with this Vault Account.

12
balances array Items (object) Required
assetId string Required

The ID of the asset.

691c92a08e6be3c9d32d2c8a
assetName string Required

Asset name - bitcoin, binance-smart-chain, tron, solana.

Ethereum
assetUnit string Required

The symbol of the asset.

ETH
blockchain string Required

The blockchain of the asset.

ethereum
exchangeRateUnit string Required

The pricing unit used when calculating exchange rates.

USD
latestExchangeRateToUSD string Required

The most recent exchange rate of the currency relative to USD.

2822.59
totalAmount string Required

The total amount of this asset held in the Vault Account.

0.123
createdAt integer Required

Unix timestamp indicating when the Vault Account was created.

1760621154
index string Required

Internal sequential index of the Vault Account within the vault.

1
isHiddenInDashboard boolean Required

Indicates whether the vault account should be hidden from the dashboard.

false
vaultAccountColour string Required

The assigned color of the Vault Account.

#5243AA
vaultAccountId string Required

Unique ID of the newly created Vault Account.

692d72c58cb7dd000704981a
vaultAccountName string Required

The name of the Vault Account.

Vault Account Name
vaultId string Required

The ID of the vault for which a Vault Account is created.

66d866bd469e1d00079d91d5

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "addressesCount": "12",
            "balances": [
                {
                    "assetId": "691c92a08e6be3c9d32d2c8a",
                    "assetName": "Ethereum",
                    "assetUnit": "ETH",
                    "blockchain": "ethereum",
                    "exchangeRateUnit": "USD",
                    "latestExchangeRateToUSD": "2822.59",
                    "totalAmount": "0.123"
                }
            ],
            "createdAt": 1760621154,
            "index": "1",
            "isHiddenInDashboard": false,
            "vaultAccountColour": "#5243AA",
            "vaultAccountId": "692d72c58cb7dd000704981a",
            "vaultAccountName": "Vault Account Name",
            "vaultId": "66d866bd469e1d00079d91d5"
        }
    }
}